# MIB Explorer

## Gets a list of mib\_explorer

> This endpoint is used to fetch all the mib\_explorer in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"MibExplorer":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"mib_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"mib_name":{"type":"string"},"mib_description":{"type":"string"},"mibdata":{"type":"array","items":{}},"oid_name_map":{"type":"object","additionalProperties":{}},"name_type_map":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"mib_file":{"type":"string","maxLength":255},"mib_file_dependencies":{"type":"array","items":{}}},"required":["id","mib_id","organization"]}}},"paths":{"/ux/ims/mib-explorer/":{"get":{"operationId":"ux_ims_mib_explorer_list","description":"This endpoint is used to fetch all the mib_explorer in the current organization","summary":"Gets a list of mib_explorer","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["MIB Explorer"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MibExplorer"}}}},"description":""}}}}}}
```

## Creates a new mib\_explorer

> This endpoint is used to save a new mib\_explorer for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/ims/mib-explorer/":{"post":{"operationId":"ux_ims_mib_explorer_create","description":"This endpoint is used to save a new mib_explorer for the current organization","summary":"Creates a new mib_explorer","tags":["MIB Explorer"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## GET /ux/ims/mib-explorer/{id}/

> API endpoint that allows users to add or delete MIB files.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"MibExplorer":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"mib_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"mib_name":{"type":"string"},"mib_description":{"type":"string"},"mibdata":{"type":"array","items":{}},"oid_name_map":{"type":"object","additionalProperties":{}},"name_type_map":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"mib_file":{"type":"string","maxLength":255},"mib_file_dependencies":{"type":"array","items":{}}},"required":["id","mib_id","organization"]}}},"paths":{"/ux/ims/mib-explorer/{id}/":{"get":{"operationId":"ux_ims_mib_explorer_retrieve","description":"API endpoint that allows users to add or delete MIB files.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["MIB Explorer"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MibExplorer"}}},"description":""}}}}}}
```

## PUT /ux/ims/mib-explorer/{id}/

> API endpoint that allows users to add or delete MIB files.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"MibExplorer":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"mib_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"mib_name":{"type":"string"},"mib_description":{"type":"string"},"mibdata":{"type":"array","items":{}},"oid_name_map":{"type":"object","additionalProperties":{}},"name_type_map":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"mib_file":{"type":"string","maxLength":255},"mib_file_dependencies":{"type":"array","items":{}}},"required":["id","mib_id","organization"]}}},"paths":{"/ux/ims/mib-explorer/{id}/":{"put":{"operationId":"ux_ims_mib_explorer_update","description":"API endpoint that allows users to add or delete MIB files.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["MIB Explorer"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MibExplorer"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MibExplorer"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/MibExplorer"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MibExplorer"}}},"description":""}}}}}}
```

## Deletes the mib\_explorer with given id

> This endpoint is used to delete an existing mib\_explorer for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/ims/mib-explorer/{id}/":{"delete":{"operationId":"ux_ims_mib_explorer_destroy","description":"This endpoint is used to delete an existing mib_explorer for the current organization","summary":"Deletes the mib_explorer with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["MIB Explorer"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /ux/ims/mib-explorer/multidelete/

> API endpoint that allows users to add or delete MIB files.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"MibExplorer":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"mib_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"mib_name":{"type":"string"},"mib_description":{"type":"string"},"mibdata":{"type":"array","items":{}},"oid_name_map":{"type":"object","additionalProperties":{}},"name_type_map":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"mib_file":{"type":"string","maxLength":255},"mib_file_dependencies":{"type":"array","items":{}}},"required":["id","mib_id","organization"]}}},"paths":{"/ux/ims/mib-explorer/multidelete/":{"post":{"operationId":"ux_ims_mib_explorer_multidelete_create","description":"API endpoint that allows users to add or delete MIB files.","tags":["MIB Explorer"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MibExplorer"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MibExplorer"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/MibExplorer"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MibExplorer"}}},"description":""}}}}}}
```

## GET /ux/ims/mib-explorer/options/

> API endpoint that allows users to add or delete MIB files.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"MibExplorer":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"mib_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"mib_name":{"type":"string"},"mib_description":{"type":"string"},"mibdata":{"type":"array","items":{}},"oid_name_map":{"type":"object","additionalProperties":{}},"name_type_map":{"type":"object","additionalProperties":{}},"is_deleted":{"type":"boolean"},"mib_file":{"type":"string","maxLength":255},"mib_file_dependencies":{"type":"array","items":{}}},"required":["id","mib_id","organization"]}}},"paths":{"/ux/ims/mib-explorer/options/":{"get":{"operationId":"ux_ims_mib_explorer_options_retrieve","description":"API endpoint that allows users to add or delete MIB files.","tags":["MIB Explorer"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MibExplorer"}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/mib-explorer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
